import { HttpErrorResponse } from '@angular/common/http';

export type ErrorSnackbarData = { title: string, error: HttpErrorResponse | object };

// redefinition (alias) for autogenerated backend type
export type HttpError = HttpErrorResponse;
export const VALIDATION_ERROR_STATUS_CODE = 401;
export const FORBIDDEN_ERROR_STATUS_CODE = 403;
export const EXAMINATION_CLOSED_ERROR_STATUS_CODE = 423;

export type SelectionError =
  | 'NO_SCOPE_SELECTION'
  | 'NO_SLIDE_SELECTION';

const LOAD_ERROR = `Error fetching`;
export const EXTENDED_SCOPE_LOAD_ERROR = `${LOAD_ERROR} Extended Scope`;
export const EAD_COMPATIBILITY_ERROR = 'PDL1 Segmentation App is not compatible with ead input';
